Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class GeneralException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.openjpa.util.OpenJPAException
                      org.apache.openjpa.util.GeneralException

All Implemented Interfaces:
  Serializable, ExceptionInfo

    public class GeneralException

extends OpenJPAException

General exception type.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNAVAILABLE, UNSUPPORTED, USER, WRAPPED`

Constructor Summary
`GeneralException()`
`GeneralException(Localizer.Message msg)`
`GeneralException(Localizer.Message msg, Throwable cause)`
`GeneralException(String msg)`
`GeneralException(String msg, Throwable cause)`
`GeneralException(Throwable cause)`

Method Summary
`int` | `getType()` Exception type.

Methods inherited from class org.apache.openjpa.util.OpenJPAException
`getCause, getFailedObject, getNestedThrowables, getSubtype, isFatal, printStackTrace, printStackTrace, printStackTrace, setCause, setFailedObject, setFatal, setNestedThrowables, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getMessage`

Constructor Detail

### GeneralException

    public GeneralException()

### GeneralException

    public GeneralException(String msg)

### GeneralException

    public GeneralException(Localizer.Message msg)

### GeneralException

    public GeneralException(Throwable cause)

### GeneralException

    public GeneralException(Localizer.Message msg,
                            Throwable cause)

### GeneralException

    public GeneralException(String msg,
                            Throwable cause)

Method Detail

### getType

    public int getType()

  Description copied from class: `OpenJPAException`
  Exception type.

  Specified by:
    `getType` in interface `ExceptionInfo`
  Specified by:
    `getType` in class `OpenJPAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.